<?php
include "../ver_sessao.php";
include "../conecta.php";


// ------------------------------------------------------------------------------------------
// SE RECEBE UM ARGUMENTO PELO GET, DIRECIONA PARA A TELA DE IMPRESSAO
// ------------------------------------------------------------------------------------------
if( $_GET[i] ) {

	if( md5($_GET[i]) != $_GET[s] )
		exit;

	$_POST[acao] = 'layout_imprime';
	$_POST[id]  = $_GET[i];
	
}



function cadastra_pendente(){


	$id_listacompra=$_POST[id_listacompra];
	$obs_pendente=$_POST[obs_pendente];

	for($i=0;$i<count($id_listacompra);$i++){

		if($obs_pendente[$i]!='')
			$t_obs++;

		atualizar('listacompra','list_tx_obsPendente',$obs_pendente[$i],$id_listacompra[$i]);
	
	}

	// VERIFICA SE TODOS OS CAMPOS DE PENDÊNCIA FORAM PREENCHIDOS
	if($t_obs==count($id_listacompra))
		atualizar('compra','comp_tx_status',"Finalizado Pendente",$_POST[id]);
	else
		atualizar('compra','comp_tx_status',"Pendente",$_POST[id]);



	index();
	exit;

	// print_r($_POST);
	// exit;

}




function imprimir_pendente(){
	global $a_mod;
	global $CACTUX_CONF;
	

	
	$a_comp=carregar('compra,setor,entidade.user',$_POST[id],'',""," AND user_nb_id=comp_nb_userCadastro");
	
	cabecaRelatorioVenda('Pendencias de Compra');
	
	
	cactux::fecha_form();
		
	$t1[] = cactux::texto('Código:',zeros($a_comp[comp_nb_id],3),2);
	$t1[] = cactux::texto('Setor:',$a_comp[seto_tx_nome],2);
	$t1[] = cactux::texto('Comprador:',$a_comp[user_tx_nome],4);
	$t1[] = cactux::texto('Data:',data($a_comp[comp_tx_dataCadastro],1),2);

	$t2[] = cactux::texto('Fornecedor:',$a_comp[enti_tx_nome],4);
	$t2[] = cactux::texto('Descrição/Forma de Pagamento:',$a_comp[comp_tx_obsCadastro],4);
	
//	$t2[] = cactux::texto('Valor:',"R$ ".mostra_valor($a_comp[comp_tx_valor],1),2);

	cactux::abre_fieldset('Informações da Compra');
	cactux::linha_fieldset($t1[0],$t1[1],$t1[2],$t1[3]);
	cactux::linha_fieldset($t2[0],$t2[1],$t2[2]);
	cactux::fecha_fieldset();

	echo"<br>";
	
	
	
	$cabeca[] = array('','PRODUTO','UNIDADE','QUANTIDADE','QTDE RECEBIDA','VALOR UN.','VALOR','OBSERVAÇÃO DA PENDÊNCIA');
	$cabeca[] = 'c,e,c,c,c,c,c,e,e';
	$cabeca[] = '5%,20%,10%,10%,10%,10%,10%,';
	$cabeca[] = '98%,';


	$sql=selecionar('listacompra,compra,produto','list_nb_compra,list_tx_status,list_tx_status',"$_POST[id],!inativo,!Negado"," AND list_tx_recebido!=list_tx_qtde ORDER BY prod_tx_nome,list_nb_id");
	while( $a=carrega_array($sql) ) {
		
		
		if( $a[list_tx_recebido] > 0 ){
			$qtde = $a[list_tx_recebido];
			$valor = $a[list_tx_valor]*$a[list_tx_qtde];
		}
		else{
			$valor = $a[list_tx_valor]*$a[list_tx_qtde];
			$qtde = $a[list_tx_qtde];
		}
		
		$valor_total += $valor;

		$campo = "<input type=text name=obs_pendente[] value='$a[list_tx_obsPendente]' style='width:100%; text-align:left;' >
		<input type=hidden name=id_listacompra[] value='$a[list_nb_id]'>";
		
		
		$valores[] = array(++$j,$a[prod_tx_nome],$a[list_tx_unidade],mostra_valor($a[list_tx_qtde],1),mostra_valor($a[list_tx_recebido],1),mostra_valor($a[list_tx_valor],1),mostra_valor($valor),$a[list_tx_obsPendente]);
		
	}
	if(mostra_valor($a_comp[comp_tx_valor],1) != mostra_valor($valor_total,1))
		$valores[]=array('','','','','','<B>SUB-TOTAL:','<B>'.mostra_valor($valor_total,1),'');
	
	
	$valores[]=array('','','','','','<B>TOTAL:','<B>'.mostra_valor($a_comp[comp_tx_valor],1),'');
	
	grid::gerar($cabeca,$valores);
	
	cactux::fecha_form();

	cactux::acao_botao('voltar','index');

	rodape();
}




function layout_pendente(){
	global $a_mod;
	global $CACTUX_CONF;
	
	cabecalho('Pendências de Compra',2);

	
	//CONSULTAS
	$a_compra = carregar('compra,setor,entidade',$_POST[id]);
	$a_comprador = carregar('user',"$a_compra[comp_nb_userCadastro]");
	
	// CAMPOS TEXTO
	$t1[] = cactux::texto('Código:',$a_compra[comp_nb_id],2);
	$t1[] = cactux::texto('Setor:',$a_compra[seto_tx_nome],2);
	$t1[] = cactux::texto('Comprador:',$a_comprador[user_tx_nome],4);
	$t1[] = cactux::texto('Data:',data($a_compra[comp_tx_dataCadastro],1),2);
	$t2[] = cactux::texto('Fornecedor:',$a_compra[enti_tx_nome],4);
	
	
	
	//UTILIZADA APENAS PARA TESTE
	//$_POST[id] = 1;
	
	$gravar = cactux::botao_submit('Gravar',2,'cadastra_pendente','id',"$_POST[id]");
	$voltar = cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();
	
	cactux::abre_form('upload');
	
	cactux::abre_fieldset('Informações da Compra');
	cactux::linha_fieldset($t1[0],$t1[1],$t1[2],$t1[3]);
	cactux::linha_fieldset($t2[0]);
	cactux::linha_fieldset($voltar,$gravar,$status);
	cactux::fecha_fieldset();
	
	
	
	$cabeca[] = array('','PRODUTO','UNIDADE','QUANTIDADE','QTDE RECEBIDA','VALOR UN.','VALOR','OBSERVAÇÃO DA PENDÊNCIA');
	$cabeca[] = 'c,e,c,c,c,c,c,e,e';
	$cabeca[] = '5%,20%,10%,10%,10%,10%,10%,';

	$sql=selecionar('listacompra,compra,produto','list_nb_compra,list_tx_status',"$_POST[id],ativo"," AND list_tx_recebido!=list_tx_qtde ORDER BY prod_tx_nome,list_nb_id",0);
	while( $a=carrega_array($sql) ) {
		
		
		if( $a[list_tx_recebido] > 0 ){
			$qtde = $a[list_tx_recebido];
			$valor = $a[list_tx_valor]*$a[list_tx_qtde];
		}
		else{
			$valor = $a[list_tx_valor]*$a[list_tx_qtde];
			$qtde = $a[list_tx_qtde];
		}
		
		$valor_total += $valor;

		$campo = "<input type=text name=obs_pendente[] value='$a[list_tx_obsPendente]' style='width:100%; text-align:left;' >
		<input type=hidden name=id_listacompra[] value='$a[list_nb_id]'>";
		
		
		$valores[] = array(++$j,$a[prod_tx_nome],$a[list_tx_unidade],mostra_valor($a[list_tx_qtde],1),mostra_valor($a[list_tx_recebido],1),mostra_valor($a[list_tx_valor],1),mostra_valor($valor),$campo);
		
	}
	if(mostra_valor($a_compra[comp_tx_valor],1) != mostra_valor($valor_total,1))
		$valores[]=array('','','','','','<B>SUB-TOTAL:','<B>'.mostra_valor($valor_total,1),'');
	
	
	$valores[]=array('','','','','','<B>TOTAL:','<B>'.mostra_valor($a_compra[comp_tx_valor],1),'');
	
	grid::gerar($cabeca,$valores);
	
	cactux::fecha_form();

	cactux::acao_botao('voltar','index');

	rodape();
}



function layout_imprimi_busca(){
	
	
	if($_SESSION[user_tx_nivel]=="Comprador" || $_SESSION[user_tx_nivel]=="Informatica"){
	
		$extra .=" AND comp_nb_userCadastro='$_SESSION[user_nb_id]'";
	
	
	}

	$extra .= " AND comp_tx_status IN('Pendente','Finalizado Pendente')";

	if( $_POST[busca_data1] )
		$extra .= " AND comp_tx_dataCadastro >= '".gera_data($_POST[busca_data1],1)." 00:00:00'";
	if( $_POST[busca_data2] )
		$extra .= " AND comp_tx_dataCadastro <= '".gera_data($_POST[busca_data2],1)." 23:59:59'";
	if( $_POST[busca_setor] != '1' && $_POST[busca_setor]!= '') {
		$extra .= " AND comp_nb_setor = '$_POST[busca_setor]'";
		$a_setor = carregar('setor',$_POST[busca_setor]);
	}
	if( $_POST[busca_fornecedor] ) {
		$extra .= " AND comp_nb_entidade = '$_POST[busca_fornecedor]'";
		$a_fornecedor = carregar('entidade',$_POST[busca_fornecedor]);
	}
	if( $_POST[busca_status] ) {

		if ( $_POST[busca_status] == 'Finalizado' )
			$extra .= " AND comp_tx_status = 'Finalizado Pendente'";
		else
			$extra .= " AND comp_tx_status = '$_POST[busca_status]'";
	}


	cabecaRelatorioVenda('Pendencias de Compra',2);
	
	cactux::abre_form();
	
	//CAMPOS
	$c[] = cactux::texto('Data Inicial:',$_POST[busca_data1],2);
	$c[] = cactux::texto('Data Final:',$_POST[busca_data2],2);
	$c[] = cactux::texto('Setor:',$a_setor[seto_tx_nome],2);
	$c[] = cactux::texto('Fornecedor:',$a_fornecedor[enti_tx_nome],3);
	$c[] = cactux::texto('Situação:',$_POST[busca_status],1);	
	//BOTOES
		
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4]);
	cactux::linha_fieldset($buscar,$inserir,$status);
	cactux::fecha_fieldset();
	
	$sql = selecionar('compra,setor,entidade.user','comp_tx_status',"!inativo"," $extra AND user_nb_id=comp_nb_userCadastro ORDER BY comp_nb_id DESC");
	
	$cabecalho[] = array('CÓD','SETOR','FORNECEDOR','DATA','VALOR','SITUAÇÃO');
	$cabecalho[] = 'c,e,e,c,c,c';
	$cabecalho[] = '5%,15%,,10%,10%,10%';
	$cabecalho[] = '98%';
	
	while ( $a=carrega_array($sql) ) {		

		if ( $a[comp_tx_status] == 'Finalizado Pendente' ) {
			$a[comp_tx_status] = 'Finalizado';
		}			
		
		$valores[] = array( $a[comp_nb_id], $a[seto_tx_nome], $a[enti_tx_nome], data($a[comp_tx_dataCadastro],1),
							mostra_valor($a[comp_tx_valor]), $a[comp_tx_status] );
	
		$total_valor+=$a[comp_tx_valor];
	}
	
	$valores[] = array( '', '', '', '<b>TOTAL: </b>', mostra_valor($total_valor), '' );
	
	cactux::fecha_form();
	
	echo"<br>";
	grid::gerar($cabecalho,$valores);

	
	rodape();
	
}




function index(){
	global $CACTUX_CONF;


	$extra .= " AND comp_tx_status IN('Pendente','Finalizado Pendente')";

	if( $_POST[busca_data1] )
		$extra .= " AND comp_tx_dataCadastro >= '".gera_data($_POST[busca_data1],1)." 00:00:00'";
	if( $_POST[busca_data2] )
		$extra .= " AND comp_tx_dataCadastro <= '".gera_data($_POST[busca_data2],1)." 23:59:59'";
	if( $_POST[busca_setor] != '1' && $_POST[busca_setor]!= '') {
		$extra .= " AND comp_nb_setor = '$_POST[busca_setor]'";
		$a_setor = carregar('setor',$_POST[busca_setor]);
	}
	if( $_POST[busca_fornecedor] ) {
		$extra .= " AND comp_nb_entidade = '$_POST[busca_fornecedor]'";
		$a_fornecedor = carregar('entidade',$_POST[busca_fornecedor]);
	}
	if( $_POST[busca_status] ) {

		if ( $_POST[busca_status] == 'Finalizado' )
			$extra .= " AND comp_tx_status = 'Finalizado Pendente'";
		else
			$extra .= " AND comp_tx_status = '$_POST[busca_status]'";
	}


	
	cabecalho('Pendências de Compra',2);
	
	cactux::abre_form();
	
	//CAMPOS
	$c[] = cactux::campo('Data Inicio:','busca_data1',$_POST[busca_data1],1,MASCARA_DATA);
	$c[] = cactux::campo('Data Fim:','busca_data2',$_POST[busca_data2],1,MASCARA_DATA);
	$c[] = cactux::combo_bd('!Setor:','busca_setor',$a_setor[seto_nb_id],$a_setor[seto_tx_nome],3,'setor','',"1  ORDER BY seto_tx_nome");
	$c[] = cactux::combo_net('!Fornecedor:','busca_fornecedor',$a_fornecedor[enti_nb_id],$a_fornecedor[enti_tx_nome],3,array('busca_div.php?c=entidade','busca_net.php?c=entidade'));
	$c[] = cactux::combo('Situação:','busca_status',array('','Pendente','Finalizado'),$_POST[busca_status],2);


	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	// $inserir = cactux::botao('Inserir',2,'inserir');
	$imprimir_busca = cactux::botao('Imprimir',2,'imprimir_busca');
	$status = cactux::msg_status();
	
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4]);
	cactux::linha_fieldset($buscar,$inserir,$imprimir_busca,$status);
	cactux::fecha_fieldset();
	
	$sql = selecionar('compra,setor,entidade.user','comp_tx_status',"!inativo"," $extra AND user_nb_id=comp_nb_userCadastro ORDER BY comp_nb_id DESC",1);
	$BUSCA = grid::gerar_paginacao($sql,'','',30);
	
	$cabecalho[] = array('CÓD','SETOR','FORNECEDOR','DATA','VALOR','SITUAÇÃO','','');
	$cabecalho[] = 'c,e,e,e,c,c,c';
	$cabecalho[] = '5%,20%,,10%,10%,10%,2%,2%';
	
	while ( $a = carrega_array($BUSCA[0]) ) {

		if( $a[comp_tx_status] == 'Pendente' ) {
			$modificar = ".icone_modificar($a[0],layout_pendente)";	
		}

		if ( $a[comp_tx_status] == 'Finalizado Pendente' ) {
			$a[comp_tx_status] = 'Finalizado';
		}
		
		$imprimir = ".icone_modificar($a[0],'imprimir_pendente','','','','target=_blank','Imprimir','/cactus/imagens/imprimir.png')";		
		
		$valores[] = array( $a[comp_nb_id], $a[seto_tx_nome], $a[enti_tx_nome], data($a[comp_tx_dataCadastro],1), mostra_valor($a[comp_tx_valor]),
							$a[comp_tx_status], $imprimir, $modificar );
	
		$total_valor+=$a[comp_tx_valor];
	}
	
	$valores[] = array( '', '', '', '<b>TOTAL: </b>', mostra_valor($total_valor), '', '', '' );
	
	cactux::fecha_form();
	
	cactux::acao_botao('inserir','layout_compra');
	cactux::acao_botao('imprimir_busca','layout_imprimi_busca','','','','',' target=_blank');
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);
	

	rodape();
	
	cactux::acao_botao('faz_pagamento_form','seleciona_layout_finaliza','ids_agrupados','0');
	
	javascript("
		
		var IDS_AGRUPA = Array();
		
		function seleciona_check(id) {
			
			var t = IDS_AGRUPA.length;
			var achou=0;
			
			// VARRE O ARRAY E TESTA SE O ID JAH EXISTE, SE JAH EXISTIR ENTAO APAGA
			for(i=0; i!=t; i++) {
				
				if( IDS_AGRUPA[i] == id ) {
					achou = 1;
					IDS_AGRUPA[i]='';
					break;
				}
				
			}
			
			// SE NAO EXISTIR, ENTAO INSERE NO ARRAY
			if( achou != 1 ) {
				
				IDS_AGRUPA[t] = id;
				
			}
			
		}
		
		function faz_pagamento(id_atual) {
			
			// JUNTA O ARRAY EM UMA STRING SEPARADA POR '-'
			var agrupados = IDS_AGRUPA.join('-');
			
			// CONCATENA COM A STRING O ID DO PAGAMENTO CLICADO
			agrupados += '-'+id_atual;
			
			document.faz_pagamento_form.ids_agrupados.value=agrupados;
			document.faz_pagamento_form.submit();
			
		}
		
	");
	
}




controle();
?>
